cURL
curl --request GET \
--url https://api.brightdata.com/dca/get_result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/dca/get_result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/dca/get_result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input": {
"url": "https://targetwebsite.com/product_id/"
},
"line_1": "Lorem ipsum dolor sit amet",
"line_2": "consectetur adipisicing elit"
}获取数据
从实时工作爬虫接收数据
GET
/
dca
/
get_result
cURL
推荐: 我们强烈建议在轮询请求中使用
timeout 参数,以减少不必要的 API 调用并帮助避免速率限制。结果数据在收集后可供下载7天。为避免过期,请确保在7天内下载数据或配置交付方法以自动将其发送到您的存储。
速率限制
- 每秒 4,000 个请求
- 每分钟 240,000 个请求
授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
查询参数
A unique identification of response
Enables long-polling. The request waits up to this duration for the result to become available instead of returning 202 immediately. Format is Xs where X is an integer between 25 and 50 (for example, 25s, 30s, 50s). If no result is available within the timeout, the response returns 202 as usual. Use this to reduce polling calls and avoid hitting rate limits.
示例:
"50s"
响应
OK
此页面对您有帮助吗?